# Interface Source

All Known Implementing Classes:
  `DefaultSource`

@UML(identifier="LI_Source", specification=ISO_19115) public interface Source
Information about the source data used in creating the data specified by the scope.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getDescription()`
  Detailed description of the level of the source data.
  `Identifier`
  `getProcessedLevel()`
  Processing level of the source data.
  `NominalResolution`
  `getResolution()`
  Distance between consistent parts (centre, left side, right side) of two adjacent pixels.
  `RepresentativeFraction`
  `getScaleDenominator()`
  Denominator of the representative fraction on a source map.
  `Citation`
  `getSourceCitation()`
  Recommended reference to be used for the source data.
  `Collection<? extends Extent>`
  `getSourceExtents()`
  Information about the spatial, vertical and temporal extent of the source data.
  `ReferenceSystem`
  `getSourceReferenceSystem()`
  Spatial reference system used by the source data.
  `Collection<? extends ProcessStep>`
  `getSourceSteps()`
  Information about an event in the creation process for the source data.

- ## Method Details

  - ### getDescription

    @UML(identifier="description", obligation=CONDITIONAL, specification=ISO_19115) InternationalString getDescription()
    Detailed description of the level of the source data.
    Returns:
      Description of the level of the source data, or `null`.

  - ### getScaleDenominator

    @UML(identifier="scaleDenominator", obligation=OPTIONAL, specification=ISO_19115) RepresentativeFraction getScaleDenominator()
    Denominator of the representative fraction on a source map.
    Returns:
      Representative fraction on a source map, or `null`.

  - ### getSourceReferenceSystem

    @UML(identifier="sourceReferenceSystem", obligation=OPTIONAL, specification=ISO_19115) ReferenceSystem getSourceReferenceSystem()
    Spatial reference system used by the source data.
    Returns:
      Spatial reference system used by the source data, or `null`.

  - ### getSourceCitation

    @UML(identifier="sourceCitation", obligation=OPTIONAL, specification=ISO_19115) Citation getSourceCitation()
    Recommended reference to be used for the source data.
    Returns:
      Recommended reference to be used for the source data, or `null`.

  - ### getSourceExtents

    @UML(identifier="sourceExtent", obligation=CONDITIONAL, specification=ISO_19115) Collection<? extends Extent> getSourceExtents()
    Information about the spatial, vertical and temporal extent of the source data.
    Returns:
      Information about the extent of the source data.

  - ### getSourceSteps

    @UML(identifier="sourceStep", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends ProcessStep> getSourceSteps()
    Information about an event in the creation process for the source data.
    Returns:
      Information about an event in the creation process.

  - ### getProcessedLevel

    @UML(identifier="processedLevel", obligation=OPTIONAL, specification=ISO_19115_2) Identifier getProcessedLevel()
    Processing level of the source data.
    Returns:
      Processing level of the source data.
    Since:
      2.3

  - ### getResolution

    @UML(identifier="resolution", obligation=OPTIONAL, specification=ISO_19115_2) NominalResolution getResolution()
    Distance between consistent parts (centre, left side, right side) of two adjacent pixels.
    Returns:
      Distance between consistent parts of two adjacent pixels.
    Since:
      2.3